---
title: List Cloud Cost Management tag metadata months
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Cloud Cost Management
---

# List Cloud Cost Management tag metadata months{% #list-cloud-cost-management-tag-metadata-months %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cost/tag_metadata/months |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cost/tag_metadata/months |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cost/tag_metadata/months      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cost/tag_metadata/months      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cost/tag_metadata/months  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cost/tag_metadata/months     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cost/tag_metadata/months |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cost/tag_metadata/months |

### Overview

List months that have Cloud Cost Management tag metadata for a given provider, ordered most-recent first. The response is capped at 36 months. This endpoint requires the `cloud_cost_management_read` permission.

OAuth apps require the `cloud_cost_management_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#cloud-cost-management) to access this endpoint.



### Arguments

#### Query Strings

| Name                               | Type   | Description                                                                                                                                                                                                                                              |
| ---------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| filter[provider] [*required*] | string | Provider to scope the query to. Use the value of the `providername` tag in CCM (for example, `aws`, `azure`, `gcp`, `Oracle`, `Confluent Cloud`, `Snowflake`). For costs uploaded through the Custom Costs API, use `custom`. Values are case-sensitive. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
List of months that have Cloud Cost Management tag metadata for the requested provider, ordered most-recent first and capped at 36 months.

| Parent field | Field                  | Type     | Description                                                                                                   |
| ------------ | ---------------------- | -------- | ------------------------------------------------------------------------------------------------------------- |
|              | data [*required*] | [object] | List of months that have tag metadata available.                                                              |
| data         | id [*required*]   | string   | The month, in `YYYY-MM` format.                                                                               |
| data         | type [*required*] | enum     | Type of the Cloud Cost Management tag metadata month resource. Allowed enum values: `cost_tag_metadata_month` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "id": "2026-04",
      "type": "cost_tag_metadata_month"
    },
    {
      "id": "2026-03",
      "type": "cost_tag_metadata_month"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export filter[provider]="aws" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/cost/tag_metadata/months?filter[provider]=${filter[provider]}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
